//THIS FILE IS AUTOGENERATED
//DO NOT MODIFY
import { Schema } from 'mongoose';
import { BaseDocument } from '@core/api/BaseDocument';
import { ModelSchema } from '@core/orm/schema/ModelSchema';

export interface RoomBaseDocument extends BaseDocument {
    number: number;
    name?: string;
}

export const RoomBaseSchema: ModelSchema = new ModelSchema({
    number: {
        type: Number,
        required: true,
        immutable: false,
        unique: false,
        select: true,
        array: false,
        writable: true,
        readable: true,
        defaultColumn: false,
        listed: true,
    },
    name: {
        type: String,
        required: false,
        immutable: false,
        unique: false,
        select: true,
        array: false,
        writable: true,
        readable: true,
        defaultColumn: false,
        listed: true,
    },
});

RoomBaseSchema.methods.getDisplayName = function () {
    return this._id;
};

RoomBaseSchema.statics.conditions = {
    required: {},
    disabled: {},
    validate: {},
};
